Name:           perl-Authen-U2F
Version:        0.003
Release:    1%{?dist}
Summary:        FIDO U2F library
License:        (GPL-1.0-or-later OR Artistic-1.0-Perl) AND BSD-3-Clause
URL:            https://metacpan.org/dist/Authen-U2F
Source0:        https://cpan.metacpan.org/authors/id/R/RO/ROBN/Authen-U2F-%{version}.tar.gz
Source1:        bsd
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Carp)
BuildRequires:  perl(Crypt::OpenSSL::X509) >= 1.806
BuildRequires:  perl(Crypt::PK::ECC)
BuildRequires:  perl(CryptX) >= 0.034
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Exporter::Tiny)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(JSON)
BuildRequires:  perl(Math::Random::Secure)
BuildRequires:  perl(MIME::Base64) >= 3.11
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Type::Params)
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(warnings)


%description
This module provides the tools you need to add support for U2F in your
application.


%prep
%setup -q -n Authen-U2F-%{version}
install -p -m 0644 %{SOURCE1} .

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} %{buildroot}/*


%check
%make_build test


%files
%doc Changes README
%license LICENSE bsd
%{perl_vendorlib}/Authen/
%{_mandir}/man3/Authen::U2F.3pm*


%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.003-1
- initial build
